Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transports.http
Interface QueryHandler

All Known Subinterfaces:
  StemMatchingQueryHandler

    public interface QueryHandler

Method Summary
`java.lang.String` | `getResponseContentType(java.lang.String fullQueryString, java.lang.String ctx)`
`boolean` | `isRecognizedQuery(java.lang.String fullQueryString, java.lang.String ctx, EndpointInfo endpoint)`
`void` | `writeResponse(java.lang.String fullQueryString, java.lang.String ctx, EndpointInfo endpoint, java.io.OutputStream os)` Write query response to output stream

Method Detail

### isRecognizedQuery

    boolean isRecognizedQuery(java.lang.String fullQueryString,
                              java.lang.String ctx,
                              EndpointInfo endpoint)

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
    `endpoint` - the current endpoint for this context (e.g. the endpoint this Destination was activated for). Null if no current endpoint.
  Returns:
    true iff the URI is a recognized WSDL query

### getResponseContentType

    java.lang.String getResponseContentType(java.lang.String fullQueryString,
                                            java.lang.String ctx)

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
  Returns:
    the content-type for the response

### writeResponse

    void writeResponse(java.lang.String fullQueryString,
                       java.lang.String ctx,
                       EndpointInfo endpoint,
                       java.io.OutputStream os)

  Write query response to output stream

  Parameters:
    `fullQueryString` - the target full query string (with params) of the request
    `ctx` - the context that was set for this invokation
    `endpoint` - the current endpoint for this context (e.g. the endpoint this Destination was activated for). Null if no current endpoint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.